Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.configuration.plugins
Class ConfigureBuilder

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.webwork.AbstractAction
                  com.atlassian.bamboo.configuration.plugins.AbstractPluginConfigurationAction
                      com.atlassian.bamboo.configuration.plugins.ConfigureBuilder

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class ConfigureBuilder

extends AbstractPluginConfigurationAction

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ConfigureBuilder()`

Method Summary
`String` | `doDelete()`
`String` | `doSave()`
`List` | `getBuilders()`
`String` | `getBuilderTypeKey()`
`List` | `getBuilderTypes()`
`void` | `setBuilderTypeKey(String builderTypeKey)`
`void` | `validate()` Place the user in the page context

Methods inherited from class com.atlassian.bamboo.configuration.plugins.AbstractPluginConfigurationAction
`getHomeDirectory, getNewLabel, getOldLabel, setHomeDirectory, setNewLabel, setOldLabel`

Methods inherited from class com.atlassian.bamboo.webwork.AbstractAction
`addFormErrors, doDefault, doExecute, execute, getAction, getAdministrationConfiguration, getBamboo, getBaseUrl, setAdministrationConfiguration`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### ConfigureBuilder

    public ConfigureBuilder()

Method Detail

### validate

    public void validate()

  Description copied from class: `AbstractAction`
  Place the user in the page context

  Overrides:
    `validate` in class `AbstractAction`

### doSave

    public String doSave()
                  throws Exception

  Throws:
    `Exception`

### doDelete

    public String doDelete()
                    throws Exception

  Throws:
    `Exception`

### getBuilders

    public List getBuilders()

### getBuilderTypes

    public List getBuilderTypes()

### getBuilderTypeKey

    public String getBuilderTypeKey()

### setBuilderTypeKey

    public void setBuilderTypeKey(String builderTypeKey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.